﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditPermission.ascx.cs"
    Inherits="Mindfire.Modules.MfsPollModule.EditPermission" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<asp:UpdatePanel ID="up1" runat="server" UpdateMode="Always">
    <contenttemplate>
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td class="td" align="left">
                    <dnn:Label ID="lblPermission" runat="server"></dnn:Label>
                </td>
            </tr>
            <tr>
                <td style="text-align: center" align="center">
                    <asp:Label ID="lblPermissionMsg" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="height: 5px">
                </td>
            </tr>
            <tr>
                <td class="td" align="left">
                    <asp:Panel ID="pnlVotePermissions" runat="server" ScrollBars="Auto" Width="100%"
                        Height="70px">
                        <asp:GridView ID="gvVotePermissions" runat="server" AutoGenerateColumns="false" Width="100%"
                            ShowHeader="false">
                            <Columns>
                                <asp:TemplateField ItemStyle-HorizontalAlign="Left" ItemStyle-Width="90%">
                                    <ItemTemplate>
                                        <asp:Label ID="lblVotePermissionID" runat="server" Text='<%# Bind("RoleID") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblVotePermissionName" runat="server" Text='<%# Bind("RoleName") %>'></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField ItemStyle-HorizontalAlign="Center" ItemStyle-Width="10%">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkIsVotePermission" runat="server"></asp:CheckBox>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </asp:Panel>
                </td>
            </tr>
        </table>
        <table>
            <tr id = "trMultiVote" runat = "server">
                <td class = "td">
                    <dnn:Label ID = "lblAllowVote" runat = "server" Text = "ALLOW VOTE:"></dnn:Label>
                </td>
                <td class = "td">
                    <asp:RadioButtonList ID = "rblVote" runat = "server" RepeatDirection="Horizontal">
                    <asp:ListItem Selected = "True" Text = "Single Time" Value = "0"></asp:ListItem>
                    <asp:ListItem Text = "Multiple Time" Value = "1"></asp:ListItem>
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr>
                <td class="td" style="text-align: center">
                    <asp:LinkButton ID="lbSaveDetails" runat="server" Text="SAVE VOTING DETAILS" OnClick="lbSaveDetails_Click"></asp:LinkButton>
                </td>
                <td align="right">
                    <asp:LinkButton ID="lbReturn" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>
                </td>
            </tr>
        </table>
    </contenttemplate>
</asp:UpdatePanel>
