﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ViewMfsPoll.ascx.cs"
    Inherits="Mindfire.Modules.MfsPollModule.ViewMfsPoll" %>
<%@ Register Src="MathCaptcha.ascx" TagName="MathCaptcha" TagPrefix="mc" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" %>
<div runat="server" id="MainDiv">
</div>
<div id="DivVote">
    <table id="tblSurvey" runat="server" cellpadding="0" cellspacing="0" border="0" >
        <tr>
            <td>
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td>
                            <asp:HiddenField ID="hdUnauth" runat="server"></asp:HiddenField>
                            <asp:HiddenField ID="hdMsg" runat="server"></asp:HiddenField>
                            <asp:HiddenField ID="hdnCategory" runat="server"></asp:HiddenField>
                            <asp:HiddenField ID="hdnItemId" runat="server"></asp:HiddenField>
                        </td>
                    </tr>
                        <tr>
                            <td>
                                <asp:Panel ID="panelVote" runat="server">
                                    <table cellpadding="0" cellspacing="0" border="0" align="left">
                                        <tr>
                                            <td id="tdAns" runat="server" class="td">
                                            </td>
                                        </tr>
                                        <tr id="trPlz" runat="server">
                                            <td align="center" class="td" style="text-align: center">
                                                <asp:Label ID="lblPlz" runat="server" Text="Please answer this question" 
                                                    CssClass="Normal" resourcekey="PlzAnswer"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr id="trCaptcha" runat="server" visible="false">
                                            <td align="center" class="td" style="text-align: center">
                                                <dnn:CaptchaControl ID="ctlCaptcha" CaptchaHeight="40" CaptchaWidth="150" 
                                                    ErrorStyle-CssClass="NormalRed" CssClass="Normal" runat="server" 
                                                    ErrorMessage="The typed code must match the image, please try again"
                                                    resourcekey="Captcha" />
                                            </td>
                                        </tr>
                                        <tr id="trMathCaptcha" runat="server" visible="false">
                                            <td align="center" class="td" style="text-align: center">
                                                <mc:MathCaptcha ID="MathCaptcha1" runat="server" />
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div width="100%">
                                    <asp:Panel ID="panelComment" runat="server">
                                        <table cellpadding="0" cellspacing="0" border="0" align="center">
                                            <tr id="trCommentLabel" runat="server">
                                                <td align="left" class="td">
                                                    <asp:Label ID="lblComment" runat="server" Text="COMMENT" Font-Underline="true"
                                                        resourcekey="Comment"></asp:Label>
                                                </td>
                                            </tr>
                                            <tr id="trComment" runat="server">
                                                <td align="center" class="td">
                                                    <asp:Panel ID="panelCommentDetail" runat="server">
                                                        <table cellpadding="0" cellspacing="0" border="0" align="center">
                                                            <tr>
                                                                <td colspan="2" align="left">
                                                                    <asp:Label ID="lblMoreSay" runat="server" 
                                                                        Text="More to say ? (max. 500 characters)"
                                                                        CssClass="Normal" resourcekey="MoreSay"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="2" align="left">
                                                                    <asp:TextBox ID="tbMsg" runat="server" TextMode="MultiLine" 
                                                                        Rows="4" Width="175px"></asp:TextBox>
                                                                </td>
                                                            </tr>
                                                            <tr id="trName" runat="server">
                                                                <td class="td" align="left">
                                                                    <asp:Label ID="lbName" runat="server" Text="NAME:" CssClass="Normal" resourcekey="Name"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="tbName" runat="server" Width="100">
                                                                    </asp:TextBox>
                                                                </td>
                                                            </tr>
                                                            <tr id="trEmail" runat="server">
                                                                <td class="td" align="left">
                                                                    <asp:Label ID="lbEmail" runat="server" Text="EMAIL:" 
                                                                        CssClass="Normal" resourcekey="Email"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="tbEmail" runat="server" Width="100">
                                                                    </asp:TextBox>
                                                                </td>
                                                            </tr>
                                                            <tr id="trLocation" runat="server">
                                                                <td class="td" align="left">
                                                                    <asp:Label ID="Label1" runat="server" Text="LOCATION:" 
                                                                        CssClass="Normal" resourcekey="Location"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="tbLocation" runat="server" Width="100">
                                                                        </asp:TextBox>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </asp:Panel>
                                                </td>
                                            </tr>
                                        </table>
                                    </asp:Panel>
                                </div>
                            </td>
                        </tr>
                        <tr id="trCommentPost" runat="server">
                            <td align="left" class="td" style="text-align: center">
                                <asp:LinkButton ID="lbValidateCaptcha" runat="server" Text='VOTE' resourcekey="Vote"
                                   OnClientClick="return chkValidate();" OnClick="lbValidateCaptcha_Click"></asp:LinkButton>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div width="100%">
                                    <asp:Panel ID="panelResult" runat="server" Visible="false">
                                        <table cellpadding="0" cellspacing="0" border="0" align="left">
                                            <tr>
                                                <td align="left" class="td">
                                                    <asp:Label ID="lbPollResult" runat="server" Text="POLL RESULT" 
                                                        resourcekey="Result" CssClass="Normal" Font-Bold="true" 
                                                        Font-Underline="true"></asp:Label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left" class="td">
                                                    <asp:Label ID="lbResultMsg" runat="server" CssClass="Normal" Font-Bold="true">
                                                    </asp:Label>
                                                </td>
                                            </tr>
                                            <tr id="tr1" runat="server">
                                                <td align="left" class="td">
                                                    <asp:Label ID="lblVoteRatio" runat="server"></asp:Label>
                                                </td>
                                            </tr>
                                            <tr id="tr2" runat="server">
                                                <td align="left" class="td">
                                                    <asp:LinkButton ID="lkbRefresh" runat="server" OnClick="lkbRefresh_Click" 
                                                        Text="Return" resourcekey="Refresh"></asp:LinkButton>
                                                </td>
                                            </tr>
                                        </table>
                                    </asp:Panel>
                                </div>
                            </td>
                        </tr>
                        <tr id="trlblCommentHeader" runat="server" visible="false">
                            <td class="td">
                                <div width="100%">
                                    <asp:Label ID="lblCommentHeader" runat="server" CssClass="Normal" Text="COMMENT"
                                        resourcekey="Comment" Font-Bold="true" Font-Underline="true"></asp:Label>
                                </div>
                            </td>
                        </tr>
                        <tr id="trlblComment" runat="server" visible="false">
                            <td class="td">
                                <asp:Label ID="lblCommentData" runat="server" CssClass="Normal"></asp:Label>
                            </td>
                        </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div id="divNoPoll" runat="server" visible="false">
    <asp:Label ID="lblNoPollMsg" runat="server" Text="No Polls for the day..." resourcekey="NoPollMessage"></asp:Label>
</div>
<div id="divIntial" runat="server" visible="false">
    <asp:Label ID="lblIntial" runat="server" Text="Please save initial voting details..." resourcekey="InitialSetup"></asp:Label>
</div>

<script type="text/javascript">

function trim(str, chars) 
{
	return ltrim(rtrim(str, chars), chars);
}
 
function ltrim(str, chars) 
{
	chars = chars || "\\s";
	return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
}
 
function rtrim(str, chars) 
{
	chars = chars || "\\s";
	return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
}

function ValidateTextBox()
{
    var fckBody = document.getElementById('<%= tbMsg.ClientID %>').value;
    while (fckBody.indexOf("<p>") != -1)
        fckBody = fckBody.replace("<p>", "");
    while (fckBody.indexOf("</p>") != -1)
        fckBody = fckBody.replace("</p>", "");
    while (fckBody.indexOf("\n") != -1)
        fckBody = fckBody.replace("\n", "");
    while (fckBody.indexOf("&nbsp;") != -1)
        fckBody = fckBody.replace("&nbsp;", "");
    return trim(fckBody, '') != "";
}

function chkValidate()
{
    var tbAns = document.getElementById('<%= tdAns.ClientID %>');
    var cndCheck = false;
    var chkrad = tbAns.getElementsByTagName('input');
    for (i = 0; i < chkrad.length; i++)
    {
        if (chkrad[i].checked)
        {
            cndCheck = true;
            break;
        }
    }
    if (!cndCheck)
    {
       // alert("Please choose one option");
        //return false;
    }
    if (document.getElementById('<%= hdMsg.ClientID %>').value == "1")
    {
        if (!ValidateTextBox())
        {
            alert("Please enter your comment");
            document.getElementById('<%= tbMsg.ClientID %>').value = "";
            document.getElementById('<%= tbMsg.ClientID %>').focus();            
            return false;
        }
    }
    if (document.getElementById('<%= hdUnauth.ClientID %>').value == "1")
    {
        var emailExp = /^[\w\-\.\+]+\@[a-zA-Z0-9\.\-]+\.[a-zA-z0-9]{2,4}$/;
        if (trim(document.getElementById('<%= tbName.ClientID %>').value, '') == "")
        {
            alert("Please enter your name");
            document.getElementById('<%= tbName.ClientID %>').value = "";
            document.getElementById('<%= tbName.ClientID %>').focus();
            return false;
        }
        if (trim(document.getElementById('<%= tbEmail.ClientID %>').value, '') == "")
        {
            alert("Please enter your email");
            document.getElementById('<%= tbEmail.ClientID %>').value = "";
            document.getElementById('<%= tbEmail.ClientID %>').focus();
            return false;
        }
        if (!trim(document.getElementById('<%= tbEmail.ClientID %>').value, '').match(emailExp))
        {
            alert("Please enter a valid email");
            document.getElementById('<%= tbEmail.ClientID %>').value = "";
            document.getElementById('<%= tbEmail.ClientID %>').focus();
            return false;
        }
        if (trim(document.getElementById('<%= tbLocation.ClientID %>').value, '') == "")
        {
            alert("Please enter your location");
            document.getElementById('<%= tbLocation.ClientID %>').value = "";
            document.getElementById('<%= tbLocation.ClientID %>').focus();
            return false;
        }        
    }
    return true;
}


$(document).ready(function () {
    
    //delete cookies on load
    var d = new Date();
    document.cookie = "ActiveIndexFirst=0;expires=" + d.toGMTString() + ";" + ";";
    document.cookie = "ActiveIndexLast=0;expires=" + d.toGMTString() + ";" + ";";

    document.cookie="ActiveIndexFirst" + "=" + "0";
    var CountIndex = <%=this.intCountIndex%> ;
    var PageSize =  <%=this.intPageSize%>  ;
    var LastIndex = PageSize - 1;
    document.cookie="ActiveIndexLast" + "=" + LastIndex;

    for (var i = PageSize; i < parseInt(CountIndex); i++) {
        document.getElementById("DivView" + i.toString()).style.display = "none";
    }
    if(CountIndex ==1)
    {
    document.getElementById("DivVote").style.display = "inline";
    }
    else
    {
    document.getElementById("DivVote").style.display = "none";
    }

    if(getCookie("ActiveIndexLast") >= CountIndex-1)
    {
        document.getElementById("DivVote").style.display = "inline";
    }
    else{
        document.getElementById("NextDiv" + getCookie("ActiveIndexLast")).style.display = "inline";
    }

  });

function PrevClick() {
   var ActiveIndexFirst=getCookie("ActiveIndexFirst");
   var ActiveIndexLast=getCookie("ActiveIndexLast");
   var CountIndex = <%=this.intCountIndex%> ;
   var PageSize =  <%=this.intPageSize%> ;

     for (var i = 0; i < parseInt(CountIndex); i++) {
        if(i < parseInt(ActiveIndexFirst)-PageSize || i > parseInt(ActiveIndexLast)-PageSize){
             document.getElementById("DivView" + i.toString()).style.display = "none";
        }
        else
        {
         document.getElementById("DivView" + i.toString()).style.display = "inline";
         
        }
    }
    
    document.getElementById("DivVote").style.display = "none";
   
    var NextFirstIndex =  parseInt(ActiveIndexFirst) - PageSize;
    var NextLastIndex =  parseInt(ActiveIndexLast) - PageSize;
    document.cookie="ActiveIndexFirst" + "=" + NextFirstIndex.toString();
    document.cookie="ActiveIndexLast" + "=" + NextLastIndex.toString();
  
    if(getCookie("ActiveIndexLast") >= CountIndex-1)
    {
        document.getElementById("DivVote").style.display = "inline";
    }
    else{
        document.getElementById("NextDiv" + getCookie("ActiveIndexLast")).style.display = "inline";
    }

    return false;
}

function NextClick() {
   var ActiveIndexFirst=getCookie("ActiveIndexFirst");
   var ActiveIndexLast=getCookie("ActiveIndexLast");
   var CountIndex = <%=this.intCountIndex%> ;
   var PageSize =  <%=this.intPageSize%> ;
  
   //display voting section and hide current poll divs
   if(parseInt(ActiveIndexFirst) + PageSize >= CountIndex)
   {
    document.getElementById("DivVote").style.display = "inline";
    for(var i = parseInt(ActiveIndexFirst); i != parseInt(ActiveIndexLast); i++)
    document.getElementById("DivView" + i.toString()).style.display = "none";
    document.cookie="ActiveIndexFirst" + "=" + getCookie("ActiveIndexFirst") + PageSize;
    document.cookie="ActiveIndexLast" + "=" + getCookie("ActiveIndexLast") + PageSize;
   }
   else
   {
         for (var i = 0; i < parseInt(CountIndex); i++) 
         {
            if(i < parseInt(ActiveIndexFirst) + PageSize || i > parseInt(ActiveIndexLast) + PageSize){
                 document.getElementById("DivView" + i.toString()).style.display = "none";
            }
            else
            {
               document.getElementById("DivView" + i.toString()).style.display = "inline";
            }
        }
        var NextFirstIndex =  parseInt(ActiveIndexFirst) + PageSize;
        var NextLastIndex =  parseInt(ActiveIndexLast) + PageSize;
        document.cookie="ActiveIndexFirst" + "=" + NextFirstIndex.toString();
        document.cookie="ActiveIndexLast" + "=" + NextLastIndex.toString();
     
        if(getCookie("ActiveIndexLast") >= CountIndex-1)
        {
            document.getElementById("DivVote").style.display = "inline";
            document.getElementById("DivPrevious" + (CountIndex-1)).style.display = "inline";
        }
        else{
        document.getElementById("NextDiv" + getCookie("ActiveIndexLast")).style.display = "inline";
        }
   }
 document.getElementById("DivPrevious" + getCookie("ActiveIndexLast")).style.display = "inline";
}

function getCookie(c_name)
{
var i,x,y,ARRcookies=document.cookie.split(";");
for (i=0;i<ARRcookies.length;i++)
  {
  x=ARRcookies[i].substr(0,ARRcookies[i].indexOf("="));
  y=ARRcookies[i].substr(ARRcookies[i].indexOf("=")+1);
  x=x.replace(/^\s+|\s+$/g,"");
  if (x==c_name)
    {
    return unescape(y);
    }
  }
}

</script>
