<%@ Control Language="C#" Inherits="Mindfire.Modules.MfsPollModule.ViewMfsPollModule"
    AutoEventWireup="true" CodeBehind="ViewMfsPollModule.ascx.cs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td valign="top">
                    <div id="div1" width="100%">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                            <tr>
                                <td align="left" class="header">
                                    <asp:DropDownList ID="ddlCategory" DataTextField="CategoryTitle" DataValueField="CategoryId"
                                        AppendDataBoundItems="True" runat="server" AutoPostBack="true" 
                                        OnSelectedIndexChanged="ddlCategory_SelectedIndexChanged">
                                        <asp:ListItem Value="0" Text="Select Category..." />
                                    </asp:DropDownList>
                                </td>
                                <td align="right" class="header">
                                    <asp:LinkButton ID="lbNewPoll" runat="server" Text="ADD NEW POLL" OnClick="lbNewPoll_Click">
                                    </asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div id="divPollListLabel" width="100%">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                            <tr>
                                <td align="center" class="header">
                                    <dnn:Label ID="lblPollList" runat="server"></dnn:Label>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div id="divPollList">
                        <asp:Panel ID="Panel1" runat="server" ScrollBars="Auto" Height="170px">
                            <asp:GridView ID="gvPollList" runat="server" AutoGenerateColumns="false" Width="100%"
                                ScrollBars="Auto" Height="100px" OnSelectedIndexChanged="gvPollList_SelectedIndexChanged"
                                EmptyDataText="No Polls...">
                                <Columns>
                                    <asp:TemplateField HeaderText="SL NO" ItemStyle-HorizontalAlign="Center" 
                                        HeaderStyle-CssClass="header"
                                        ItemStyle-Width="5%">
                                        <ItemTemplate>
                                            <%# Container.DataItemIndex+1 %>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="POLL TITLE/QUESTION" ItemStyle-HorizontalAlign="Left"
                                        HeaderStyle-CssClass="header"
                                        ItemStyle-Width="50%">
                                        <ItemTemplate>
                                            <asp:Label ID="lblItemId" runat="server" Text='<%# Bind("ItemId") %>' 
                                                Visible="false"></asp:Label>
                                            <asp:Label ID="lblModuleId" runat="server" Text='<%# Bind("ModuleId") %>' 
                                                Visible="false"></asp:Label>
                                            <asp:LinkButton ID="lblPollTitle" runat="server" 
                                                Text='<%# Server.HtmlEncode(Eval("PollTitle").ToString()) == "" ? Server.HtmlEncode(Eval("Question").ToString()) : Server.HtmlEncode(Eval("PollTitle").ToString()) %>'
                                                CommandName="select"></asp:LinkButton>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="POLL START DATE" ItemStyle-HorizontalAlign="Center"
                                        HeaderStyle-CssClass="header" ItemStyle-Width="13%">
                                        <ItemTemplate>
                                            <asp:Label ID="lblPollStartDate" runat="server" 
                                                Text='<%# Eval("StartDate").ToString().Substring(0, Eval("StartDate").ToString().Length - 12) %>'>
                                            </asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="POLL END DATE" ItemStyle-HorizontalAlign="Center"
                                        HeaderStyle-CssClass="header" ItemStyle-Width="12%">
                                        <ItemTemplate>
                                            <asp:Label ID="lblPollEndDate" runat="server" 
                                                Text='<%# Eval("EndDate").ToString().Substring(0, Eval("EndDate").ToString().Length - 12) %>'>
                                            </asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="EDIT" ItemStyle-HorizontalAlign="Center"
                                         HeaderStyle-CssClass="header" ItemStyle-Width="5%">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lbEdit" runat="server" Text="EDIT" CommandArgument = '<%# Eval("ItemId") %>'
                                              OnClick = "lbEdit_OnClick">
                                            </asp:LinkButton>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="DELETE" ItemStyle-HorizontalAlign="Center" 
                                        HeaderStyle-CssClass="header" ItemStyle-Width="5%">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lbDelete" runat="server" Text="DELETE" 
                                            CommandArgument = '<%# Eval("ItemId") %>' OnClick = "lbDelete_OnClick"
                                                OnClientClick="return confirm('Do you want to delete this poll ?');">
                                            </asp:LinkButton>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </asp:Panel>
                    </div>
                </td>
            </tr>
            
            <tr>
                <td valign="top">
                    <div id="Category" width="100%">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                            <tr>
                                <td align="right" class="header">
                                    <asp:LinkButton ID="lkbCreateCategory" runat="server" Text="ADD NEW CATEGORY" Height="20px"
                                        OnClick="lkbCreateCategory_Click"></asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
            </tr>
            <div id="divCategoryList" width="100%">
                <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                    <tr>
                        <td align="center" class="header">
                            <dnn:Label ID="lblCategoryList" runat="server"></dnn:Label>
                        </td>
                    </tr>
                </table>
            </div>
            <div id="categorylist">
                <asp:Panel ID="pnlcategorylist" runat="server" ScrollBars="Auto" Height="170px">
                    <asp:GridView ID="grdCategory" runat="server" AutoGenerateColumns="false" Width="100%"
                         ScrollBars="Auto" Height="100px" OnRowEditing="grdCategory_RowEditing"
                        OnRowDeleting="grdCategory_RowDeleting" OnSelectedIndexChanged="grdCategory_SelectedIndexChanged"
                        EmptyDataText="No Category...">
                        <Columns>
                            <asp:TemplateField HeaderText="CATEGORY TITLE" ItemStyle-HorizontalAlign="Left" 
                            HeaderStyle-CssClass="header"
                                ItemStyle-Width="50%">
                                <ItemTemplate>
                                    <asp:Label ID="lblCategoryId" runat="server" Text='<%# Eval("CategoryId").ToString() %>'
                                        Visible="false"></asp:Label>
                                    <asp:Label ID="lblCategoryTitle" runat="server" Text='<%# Eval("CategoryTitle").ToString() %>'>
                                    </asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="POLL START DATE" ItemStyle-HorizontalAlign="Center"
                                HeaderStyle-CssClass="header" ItemStyle-Width="13%">
                                <ItemTemplate>
                                    <asp:Label ID="lblPollStartDate" runat="server" 
                                        Text='<%# Eval("StartDate").ToString().Substring(0, Eval("StartDate").ToString().Length - 12) %>'>
                                    </asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="POLL END DATE" ItemStyle-HorizontalAlign="Center"
                                HeaderStyle-CssClass="header" ItemStyle-Width="12%">
                                <ItemTemplate>
                                    <asp:Label ID="lblPollEndDate" runat="server" Text='<%# Eval("EndDate").ToString().Substring(0, Eval("EndDate").ToString().Length - 12) %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Is Graph" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header"
                                ItemStyle-Width="12%">
                                <ItemTemplate>
                                    <asp:CheckBox ID="lblIsGraph" runat="server" Checked='<%# Convert.ToBoolean(Eval("IsGraph")) %>'
                                        Enabled="false"></asp:CheckBox>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Bar Graph Width" ItemStyle-HorizontalAlign="Center"
                                HeaderStyle-CssClass="header" ItemStyle-Width="12%">
                                <ItemTemplate>
                                    <asp:Label ID="lblGraphWidth" runat="server" Text='<%# Eval("MaxBarGraphWidth").ToString() %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Is Post Comment" ItemStyle-HorizontalAlign="Center"
                                HeaderStyle-CssClass="header" ItemStyle-Width="12%">
                                <ItemTemplate>
                                    <asp:CheckBox ID="lblIsComment" runat="server" Checked='<%# Convert.ToBoolean(Eval("IsPostComment")) %>'
                                        Enabled="false"></asp:CheckBox>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Is Captcha" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header"
                                ItemStyle-Width="12%">
                                <ItemTemplate>
                                    <asp:CheckBox ID="lblCaptcha" runat="server" Checked='<%# Convert.ToBoolean(Eval("IsCaptcha")) %>'
                                        Enabled="false"></asp:CheckBox>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Captcha Type" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header"
                                ItemStyle-Width="12%">
                                <ItemTemplate>
                                    <asp:Label ID="lblCaptchaType" runat="server" 
                                     Text='<%# Convert.ToBoolean(Eval("IsCaptcha")) ? (Eval("CaptchaType").ToString() == "1" ? "Image": "Math") : "NaN" %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="EDIT" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header"
                                ItemStyle-Width="5%">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lbEdit" runat="server" Text="EDIT" CommandName="edit"></asp:LinkButton>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="DELETE" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header"
                                ItemStyle-Width="5%">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lbDelete" runat="server" Text="DELETE" CommandName="delete" OnClientClick="return confirm('Do you want to delete this category ?');"></asp:LinkButton>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </asp:Panel>
            </div>
            <tr>
                <td align="right">
                    <asp:LinkButton ID="lbReturn" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>
                </td>
            </tr>
        </table>
